option(ASSEMBLY_OUTPUT "Enable output of assembly files when building" OFF)
if (ASSEMBLY_OUTPUT)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -save-temps -Wa,-ahldn=assembly.asm -fverbose-asm -g")
endif ()

message("-- Assembly Output: ${ASSEMBLY_OUTPUT}")
